Summary: High-performance CORBA Object Request Broker
Name: ORBit
Version: 0.3.0
Release: 1
Source: ftp://ftp.labs.redhat.com/pub/ORBit/ORBit-0.3.0.tar.gz
Group: Development/Libraries
Copyright: LGPL/GPL
BuildRoot: /var/tmp/orbit-root
Prefix: /usr

%description
ORBit is a high-performance CORBA ORB with support for the C language.
It allows programs to send requests and receive replies from other
programs, regardless of the locations of the two programs.

%package devel
Summary: Development libraries, header files, and utilities for ORBit
Group: Development/Libraries

%description devel
ORBit is a high-performance CORBA ORB with support for the C language.
It allows programs to send requests and receive replies from other
programs, regardless of the locations of the two programs.

This package includes the header files, libraries, and utilities
neecessary to write programs that use CORBA technology.

%prep
%setup

%build
./configure --prefix=/usr
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make prefix=$RPM_BUILD_ROOT/usr install

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
/usr/lib/libIDL.so.0.5.0
/usr/lib/libIIOP.so.0.3.0
/usr/lib/libORBit.so.0.3.0
/usr/lib/libORBitutil.so.0.3.0

%files devel
/usr/bin/orbit-idl
/usr/bin/orbit-config
/usr/include/IIOP
/usr/include/orb
/usr/include/ORBitutil
/usr/include/libIDL
/usr/info/libIDL.info
/usr/lib/libIDL.a
/usr/lib/libIDL.so
/usr/lib/libIIOP.a
/usr/lib/libIIOP.so
/usr/lib/libORBit.a
/usr/lib/libORBit.so
/usr/lib/libORBitutil.a
/usr/lib/libORBitutil.so
